#ifndef NKFU_H
#ifndef CLASS_DECLSPEC
/* dll __declspec(dllexport) */
/* app __declspec(dllimport) */
#define CLASS_DECLSPEC
#endif

#ifndef LPSTR
#include <windows.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
#ifdef __BORLANDC__
#pragma argsused
#endif /*__BORLANDC__*/

#define	NKF_FUNCDEF( ret, name, args ) \
	ret WINAPI name args ; \
	typedef ret WINAPI (*FN##name) args

NKF_FUNCDEF(LPCSTR, GetNkfVersion, () );

NKF_FUNCDEF(int, SetNkfOption, (LPCSTR optStr) );
NKF_FUNCDEF(BOOL, NkfConvertString, (LPSTR outStr,DWORD nOutBufferLength /*in Bytes*/,LPDWORD lpBytesReturned /*in Bytes*/, LPCSTR inStr,DWORD nInBufferLength /*in Bytes*/) );
NKF_FUNCDEF(void, ToHankaku, (LPSTR inStr) );
NKF_FUNCDEF(void, ToZenkakuKana, (LPSTR outStr ,LPCSTR inStr) );
NKF_FUNCDEF(void, EncodeSubject, (LPSTR outStr ,LPCSTR inStr) );
NKF_FUNCDEF(void, ToMime, (LPSTR outStr ,LPCSTR inStr) );
NKF_FUNCDEF(int, NkfGetKanjiCode, (VOID) );
NKF_FUNCDEF(BOOL, NkfConvertString, (LPSTR outStr,DWORD nOutBufferLength /*in Bytes*/,LPDWORD lpBytesReturned /*in Bytes*/, LPCSTR inStr,DWORD nInBufferLength /*in Bytes*/) );
typedef int (CALLBACK *FNNkfConvertStreamCallback)(int ch, int userdata);
NKF_FUNCDEF(BOOL, NkfConvertStream, (FNNkfConvertStreamCallback inStrm, FNNkfConvertStreamCallback outStrm, int userdata) );
NKF_FUNCDEF(BOOL, NkfConvertFileW, (LPCWSTR fInName, LPCWSTR fOutName) );
NKF_FUNCDEF(LPCSTR, GetNkfGuess, () );

void reinitdll(void);

#ifdef __cplusplus
}       // Balance extern "C" above
#endif /*__cplusplus*/
#endif
